[Contacts] Add portrait to newly created contact and edit the picture, the title is center-aligned in "Photo options" view.

RESOLVED WONTFIX

Status

P4
normal
RESOLVED WONTFIX
4 years ago
6 months ago

People

(Reporter: yulan.zhu, Unassigned)

Tracking

({polish})

unspecified
ARM
Gonk (Firefox OS)
polish

Firefox Tracking Flags

(tracking-b2g:backlog, b2g-v2.2 affected, b2g-master affected)

Details

(Whiteboard: 2.2-nexus-5-l)

Attachments

(2 attachments)

(Reporter)

Description

4 years ago
[1.Description]:
[Nexus 5 v2.2&v3.0][Flame 2.2&3.0][Contacts] New a contact, add portrait to it, and then edit the picture,  you can see the title is center-aligned in "Photo options" view.
See attachment:screenshot.png

[2.Testing Steps]: 
1.Launch Contacts.
2.New a contact and add portrait to it.
3.Tap the portrait to edit the picture.

[3.Expected Result]: 
3.The title should be left-aligned in "Photo options" view.

[4.Actual Result]: 
3. The title is center-aligned in "Photo options" view.

[5.Reproduction build]: 
N5_3.0 build (Affected):

Build ID               20150318055750
Gaia Revision          b8051d370ddf4e5bd8e7d8a19fb9eeb5fd6ffb39
Gaia Date              2015-03-18 07:48:50
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/41a61514461e
Gecko Version          39.0a1
Device Name            hammerhead
Firmware(Release)      5.0
Firmware(Incremental)  eng.cltbld.20150318.093541
Firmware Date          Wed Mar 18 09:35:58 EDT 2015
Bootloader             HHZ12d

N5_2.2 build (Affected):
Build ID               20150318002504
Gaia Revision          306772a58335ac4cad285d27c3805090a8cc6886
Gaia Date              2015-03-17 17:12:36
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/a6f5f4035ea5
Gecko Version          37.0
Device Name            hammerhead
Firmware(Release)      5.0
Firmware(Incremental)  eng.cltbld.20150318.040241
Firmware Date          Wed Mar 18 04:02:56 EDT 2015
Bootloader             HHZ12d

Flame 2.2 build (Affected):
Build ID               20150318002504
Gaia Revision          306772a58335ac4cad285d27c3805090a8cc6886
Gaia Date              2015-03-17 17:12:36
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/a6f5f4035ea5
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150318.040534
Firmware Date          Wed Mar 18 04:05:45 EDT 2015
Bootloader             L1TC000118D0

Flame 3.0 build (Affected):
Build ID               20150318055750
Gaia Revision          b8051d370ddf4e5bd8e7d8a19fb9eeb5fd6ffb39
Gaia Date              2015-03-18 07:48:50
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/41a61514461e
Gecko Version          39.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150318.093634
Firmware Date          Wed Mar 18 09:36:44 EDT 2015
Bootloader             L1TC000118D0

[6.Reproduction Frequency]: 
Always Recurrence,10/10

[7.TCID]: 
Free Test
(Reporter)

Comment 1

4 years ago
Created attachment 8579938 [details]
screenshot.png
[Tracking Requested - why for this release]: suggest to backlog this for better ui.
tracking-b2g: --- → backlog
Keywords: polish

Comment 3

3 years ago
There is other IU in Contacts has the same problem,reproduce step as follow:
Precondition:There is a contact with more than 2 phone numbers
1.Launch Message
2.Tap Edit button to enter edit messages view->Tap + to enter select recipient list
3.Tap the contact with more than 2 phone numbers
[3.Expected Result]: 
3.The string "Select recipient" should be left-aligned.

[4.Actual Result]: 
3.The string "Select recipient" is  center-aligned.
[5.Reproduction build]: 
Device: Flame 2.2 (affected)
Build ID               20150401002624
Gaia Revision          8b3086ad3963f1707e2bee9094baccafffe161c4
Gaia Date              2015-03-31 21:48:06
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/20b67213a047
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150401.042225
Firmware Date          Wed Apr  1 04:22:36 EDT 2015
Bootloader             L1TC000118D0

Flame 3.0 (affected):
Build ID               20150331160205
Gaia Revision          03164bd160809747e6a198e0dba1b7c3ee7789f5
Gaia Date              2015-03-31 14:48:14
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/18a8ea7c2c62
Gecko Version          40.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150331.191641
Firmware Date          Tue Mar 31 19:16:50 EDT 2015
Bootloader             L1TC000118D0

Comment 4

3 years ago
Created attachment 8587208 [details]
2015-03-31-13-35-35.png
Priority: -- → P4

Comment 5

6 months ago
Firefox OS is not being worked on
Status: NEW → RESOLVED
Last Resolved: 6 months ago
Resolution: --- → WONTFIX
You need to log in before you can comment on or make changes to this bug.